# Endpoints

Frontend Operations can take place in easy or complex Scenarios. In any Case, you must have a valid Frontend Session:

{% content-ref url="/pages/-M9bgIaAG6MxGVRdvLvk" %}
[Session Management](/frontend-api/endpoints/session-endpoint.md)
{% endcontent-ref %}

If you only want to enable simple User Interactions like Rating or Comments, start with Media Interactions:

{% content-ref url="/pages/-M9bgBxbOnBPT1XiALLJ" %}
[Media Interactions](/frontend-api/endpoints/interaction-endpoint.md)
{% endcontent-ref %}

If you are using the nexxOMNIA User Model too, you will need the User Endpoint for Profile Management and User defined Content:

{% content-ref url="/pages/-M9bgK\_52KjU9VI1bm\_m" %}
[User Endpoint](/frontend-api/endpoints/user-endpoint.md)
{% endcontent-ref %}

And in the most complex Cases, you will also use the nexxOMNIA Payment APIs. You will find the Details of them here:

{% content-ref url="/pages/-M9bgMjFmPNSDxtrlddF" %}
[Payment Processing](/frontend-api/endpoints/payment-endpoint.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.nexx.cloud/frontend-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
